//This exercise demonstrates how to use frameRate to change random values approximately every second.

function setup(){
    createCanvas(500,500);
    noStroke();
    frameRate(2); //framerate tells how many times per second the draw loop is updated. The default is 60fps.
    background(0);
    // draw background only in setup so we see the accumulating circles
}
function draw(){
    //Now draw() is executed only ~ once every second, so the random values change every second.
    //set fill color with random red value to produce shades of purple 
    fill(random(255),100,255);
    //draw circle with random position and size
    ellipse(random(width),random(height),random(10,50));
}
